org.jboss.jca.as.converters.wls.metadata

## Enum WeblogicRaPasrer.Tag

- java.lang.Object
- - java.lang.Enum<WeblogicRaPasrer.Tag>
  - - org.jboss.jca.as.converters.wls.metadata.WeblogicRaPasrer.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WeblogicRaPasrer.Tag>
  Enclosing class:
    WeblogicRaPasrer

      public static enum WeblogicRaPasrer.Tag
      extends java.lang.Enum<WeblogicRaPasrer.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTOR` connector tag name
    `UNKNOWN` always first

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WeblogicRaPasrer.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `static WeblogicRaPasrer.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WeblogicRaPasrer.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final WeblogicRaPasrer.Tag UNKNOWN

      always first

    - #### CONNECTOR

          public static final WeblogicRaPasrer.Tag CONNECTOR

      connector tag name

  - ### Method Detail

    - #### values

          public static WeblogicRaPasrer.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WeblogicRaPasrer.Tag c : WeblogicRaPasrer.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WeblogicRaPasrer.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### forName

          public static WeblogicRaPasrer.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)